// Run Wadam with additional damping from Morison equation
// 

WadamRun2 = WadamRun1.copy();
remapRelations();
HydroModel1.setActiveFolder();

LoadingCondition2 = LoadingCondition1.copy(HydroModel1);
MassModel2 = MassModel1.copy(LoadingCondition2);
remapRelations();


DampingMatrix1 = AdditionalDampingMatrix(LoadingCondition2);
LoadingCondition2.interpolateDampingMatrices(false);
LoadingCondition2.addDampingMatricesToWadam(true);

// MATLAB WRITES LINE 18-53!!
DampingMatrix1.setTranslationalTerm(1,1,10477.4336);
DampingMatrix1.setTranslationalTerm(1,2,0);
DampingMatrix1.setTranslationalTerm(1,3,-266.7541);
DampingMatrix1.setCoupledTerm(1,4,0);
DampingMatrix1.setCoupledTerm(1,5,-101280.4356);
DampingMatrix1.setCoupledTerm(1,6,0);
DampingMatrix1.setTranslationalTerm(2,1,0);
DampingMatrix1.setTranslationalTerm(2,2,6304.8203);
DampingMatrix1.setTranslationalTerm(2,3,0);
DampingMatrix1.setCoupledTerm(2,4,49393.5204);
DampingMatrix1.setCoupledTerm(2,5,0);
DampingMatrix1.setCoupledTerm(2,6,-14884.4742);
DampingMatrix1.setTranslationalTerm(3,1,-84.3846);
DampingMatrix1.setTranslationalTerm(3,2,0);
DampingMatrix1.setTranslationalTerm(3,3,1009732.4047);
DampingMatrix1.setCoupledTerm(3,4,0);
DampingMatrix1.setCoupledTerm(3,5,4666027.4601);
DampingMatrix1.setCoupledTerm(3,6,0);
DampingMatrix1.setCoupledTerm(4,1,0);
DampingMatrix1.setCoupledTerm(4,2,36497.3728);
DampingMatrix1.setCoupledTerm(4,3,0);
DampingMatrix1.setRotationalTerm(4,4,865981662.3661);
DampingMatrix1.setRotationalTerm(4,5,0);
DampingMatrix1.setRotationalTerm(4,6,103300.7734);
DampingMatrix1.setCoupledTerm(5,1,-93286.5969);
DampingMatrix1.setCoupledTerm(5,2,0);
DampingMatrix1.setCoupledTerm(5,3,4667169.3097);
DampingMatrix1.setRotationalTerm(5,4,0);
DampingMatrix1.setRotationalTerm(5,5,684030091.8173);
DampingMatrix1.setRotationalTerm(5,6,0);
DampingMatrix1.setCoupledTerm(6,1,0);
DampingMatrix1.setCoupledTerm(6,2,-21236.3596);
DampingMatrix1.setCoupledTerm(6,3,0);
DampingMatrix1.setRotationalTerm(6,4,82177.6966);
DampingMatrix1.setRotationalTerm(6,5,0);
DampingMatrix1.setRotationalTerm(6,6,4530010.7603);

WadamRun2.setLoadingCondition(LoadingCondition2);

WadamRun2.execute();
